Bug 134632 - partition geometry probe fails after keyboard layout selection during installation
partition geometry probe fails after keyboard layout selection during install...
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
3
athlon Linux
medium Severity medium
: ---
: ---
Assigned To: Jeremy Katz
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-10-05 05:30 EDT by Doyle Johnson
Modified: 2007-11-30 17:10 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-10-05 10:20:33 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Doyle Johnson 2004-10-05 05:30:01 EDT
From Bugzilla Helper:
User-Agent: Mozilla/4.0 (compatible; MSIE 6.0; Windows NT 5.0)

Description of problem:
after selecting which country's keyboard layout to use, fc3t2 
installer prints the following bugs:

assertion(heads < 256)at disk_dos.c: 472 in function 
probe_partition_for_geom() failed.

assertion(sectors <= 63) at disk_dos.c: 476 in function 
probe_partition_for_geom() failed.

installer prompts whether to ignore or cancel.  ignore exits install 
prematurely, cancel pressed repeatedly eventually leads to next step 
of install.  installer keeps prompting the same bugs at nearly every 
step until after running disk druid, then things operate smoothly 
until you select 'next' to begin writing fedora to disk. bug shows 
itself again, cancel repeatedly. installer starts next step then 
anaconda calls 

File"usr/src/build/451389-
i386/install//usr/lib/anaconda/dispatch.py", line 238, in moveStep
rc = apply(func, self.bindArgs(args))

then 

assertion(sectors <= 63) at disk_dos.c: 476 in function 
probe_partition_for_geom() failed.




Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1.run fc3t2 from cd
2.no special steps
3.
    

Additional info:

running win2000 on hda1
hda2 is a vfat partition without an os
8gig unpartioned

partitioned using DOS fdisk

i am new to linux and maybe this wasn't worth reporting.  sorry to 
waste anyones time.
Comment 1 Jeremy Katz 2004-10-05 10:20:33 EDT
This should be fixed in test3 with the newer parted.
Comment 2 Josi Romildo Malaquias 2004-10-16 17:01:07 EDT
Same bug with fedora-core-3-test3.
Comment 3 Stefan Fisches 2005-01-15 07:39:31 EST
still have that problem wit fc3

Note You need to log in before you can comment on or make changes to this bug.